id3dev 26.01 An ID3 metadata library

Loading...
Searching...
No Matches
_Id3v2FrameHeader Struct Reference

ID3v2 frame header containing identification and processing flags. More...

`#include <id3v2Types.h>`

## Data Fields
uint8_t | id [ID3V2_FRAME_ID_MAX_SIZE]
| Frame identifier (e.g., "TIT2" for title, "TALB" for album). 3 bytes in v2.2, 4 bytes in v2.3/v2.4.
bool | tagAlterPreservation
| Marks the frame as unknown if the tag is altered.
bool | fileAlterPreservation
| Marks the frame as unknown if the file is altered.
bool | readOnly
| Marks the frame as read only. If true, frame content is read-only and should not be modified.
bool | unsynchronisation
| Marks a tag as unsynchronised.
uint32_t | decompressionSize
| Decompressed size in bytes if frame uses zlib compression. 0 if uncompressed.
uint8_t | encryptionSymbol
| Encryption method identifier. 0 if frame is not encrypted.
uint8_t | groupSymbol
| Group identifier to associate related frames. 0 if frame is not grouped.

## Detailed Description

ID3v2 frame header containing identification and processing flags.

Specifies frame ID, preservation rules, and optional compression/encryption parameters. Determines how frame content should be parsed and whether the frame can be modified or discarded.

Definition at line 132 of file id3v2Types.h.

## Field Documentation

## ◆ decompressionSize

uint32_t _Id3v2FrameHeader::decompressionSize

Decompressed size in bytes if frame uses zlib compression. 0 if uncompressed.

Definition at line 149 of file id3v2Types.h.

## ◆ encryptionSymbol

uint8_t _Id3v2FrameHeader::encryptionSymbol

Encryption method identifier. 0 if frame is not encrypted.

Definition at line 152 of file id3v2Types.h.

## ◆ fileAlterPreservation

bool _Id3v2FrameHeader::fileAlterPreservation

Marks the frame as unknown if the file is altered.

Definition at line 140 of file id3v2Types.h.

## ◆ groupSymbol

uint8_t _Id3v2FrameHeader::groupSymbol

Group identifier to associate related frames. 0 if frame is not grouped.

Definition at line 155 of file id3v2Types.h.

## ◆ id

uint8_t _Id3v2FrameHeader::id[ID3V2_FRAME_ID_MAX_SIZE]

Frame identifier (e.g., "TIT2" for title, "TALB" for album). 3 bytes in v2.2, 4 bytes in v2.3/v2.4.

Definition at line 134 of file id3v2Types.h.

## ◆ readOnly

bool _Id3v2FrameHeader::readOnly

Marks the frame as read only. If true, frame content is read-only and should not be modified.

Definition at line 143 of file id3v2Types.h.

## ◆ tagAlterPreservation

bool _Id3v2FrameHeader::tagAlterPreservation

Marks the frame as unknown if the tag is altered.

Definition at line 137 of file id3v2Types.h.

## ◆ unsynchronisation

bool _Id3v2FrameHeader::unsynchronisation

Marks a tag as unsynchronised.

Definition at line 146 of file id3v2Types.h.

The documentation for this struct was generated from the following file:

- /Users/ewanjones/projects/id3dev/include/id3v2/id3v2Types.h